// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /baseDict */
export async function update7(body: API.BaseDictUpdateVO, options?: { [key: string]: any }) {
  return request<API.RBaseDict>(`/base/baseDict`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /baseDict */
export async function save7(body: API.BaseDictSaveVO, options?: { [key: string]: any }) {
  return request<API.RBaseDict>(`/base/baseDict`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /baseDict */
export async function delete8(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/base/baseDict`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /baseDict/${param0} */
export async function get9(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get9Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RBaseDictResultVO>(`/base/baseDict/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 检测字典标识是否可用 检测字典标识是否可用 GET /baseDict/check */
export async function check4(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.check4Params,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/base/baseDict/check`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 复制 POST /baseDict/copy */
export async function copy8(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy8Params,
  options?: { [key: string]: any }
) {
  return request<API.RBaseDict>(`/base/baseDict/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /baseDict/detail */
export async function getDetail9(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail9Params,
  options?: { [key: string]: any }
) {
  return request<API.RBaseDictResultVO>(`/base/baseDict/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /baseDict/findByIds */
export async function findByIds9(body: number[], options?: { [key: string]: any }) {
  return request<API.RListBaseDictResultVO>(`/base/baseDict/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 导入 将系统字典导入到个性字典 POST /baseDict/importDict */
export async function importDict(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.importDictParams,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/base/baseDict/importDict`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 分页列表查询 POST /baseDict/page */
export async function page9(
  body: API.PageParamsBaseDictPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageBaseDictResultVO>(`/base/baseDict/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /baseDict/query */
export async function query9(body: API.BaseDictPageQuery, options?: { [key: string]: any }) {
  return request<API.RListBaseDictResultVO>(`/base/baseDict/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
